Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta.map
Class EmbeddedOneToOneMapping

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.meta.ExtensionsMapping
                  |
                  +--com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMapping
                        |
                        +--com.solarmetric.rd.kodo.impl.jdbc.meta.map.ReferenceMapping
                              |
                              +--com.solarmetric.rd.kodo.impl.jdbc.meta.map.EmbeddedOneToOneMapping

All Implemented Interfaces:
  java.lang.Comparable, Extensions, FieldMetaData

public class EmbeddedOneToOneMapping
extends ReferenceMapping

Maps an embedded 1-1 relation.

Field Summary
`static java.lang.String` | `TYPE`

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMapping
`CONTAINER_META, DELETE_ACTION, ELEMENT_DELETE_ACTION, ELEMENT_INDEXED, ELEMENT_SIZE, EMPTY_COLUMNS, INDEXED, KEY_DELETE_ACTION, KEY_INDEXED, KEY_SIZE, ORDERED, REF_DELETE_ACTION, REF_INDEXED, SIZE, TYPE_ASCII_STREAM, TYPE_BINARY_STREAM, TYPE_BLOB, TYPE_BYTES, TYPE_CHAR_STREAM, TYPE_CLOB, TYPE_JDBC_DEFAULT, TYPE_REF, TYPE_SQL_ARRAY, TYPE_SQL_DATE, TYPE_SQL_OBJECT, TYPE_TIME, TYPE_TIMESTAMP, USE_FIELD_MAP, USE_NULL_IND, VALUE_DELETE_ACTION, VALUE_INDEXED, VALUE_SIZE`

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`DEFAULT, FALSE, LOB, TRUE, UNIQUE`

Fields inherited from interface com.solarmetric.rd.kodo.meta.FieldMetaData
`DEPENDENT, ELEMENT_DEPENDENT, ELEMENT_PC_CLASS, INVERSE_OWNER, KEY_DEPENDENT, KEY_PC_CLASS, MANAGE_NONE, MANAGE_PERSISTENT, MANAGE_TRANSACTIONAL, NULL_DEFAULT, NULL_EXCEPTION, NULL_NONE, PC_CLASS, TYPE_ARRAY, TYPE_BIGDECIMAL, TYPE_BIGINTEGER, TYPE_BOOLEAN, TYPE_BOOLEAN_OBJ, TYPE_BYTE, TYPE_BYTE_OBJ, TYPE_CHAR, TYPE_CHAR_OBJ, TYPE_COLLECTION, TYPE_DATE, TYPE_DOUBLE, TYPE_DOUBLE_OBJ, TYPE_FCO, TYPE_FLOAT, TYPE_FLOAT_OBJ, TYPE_INT, TYPE_INT_OBJ, TYPE_LOCALE, TYPE_LONG, TYPE_LONG_OBJ, TYPE_MAP, TYPE_NUMBER, TYPE_OBJECT, TYPE_PC_OBJECT, TYPE_SHORT, TYPE_SHORT_OBJ, TYPE_STRING, VALUE_DEPENDENT, VALUE_PC_CLASS`

Constructor Summary
`EmbeddedOneToOneMapping(com.solarmetric.rd.kodo.meta.FieldMetaData meta)` Constructor.

Method Summary
`void` | `appendIsEmpty(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Create a where clause to the given statement asking if this value is empty.
`void` | `appendIsNotNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add a where clause to the given statement asking if this value is not null.
`void` | `appendIsNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add a where clause to the given statement asking if this value is null.
`void` | `delete(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.sql.Connection conn)` Override this method to customize flushing this mapping.
`void` | `delete(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)` Set the where values appropriately to delete the proper instance, and set all relations on non-secondary tables as updates.
`void` | `deleteEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.sql.Connection conn)` Override this method to customize deleting the given mapping (used with embedded values only).
`void` | `deleteEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)` Delete values for the mapping.
`boolean` | `fromMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfo info, boolean adapt)` Deserialize this mapping from a simple `MappingInfo` instance parsed from XML or some other format.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Column[]` | `getColumns()` Return the data columns for this mapping.
`java.lang.Object` | `getDataStoreValue(java.lang.Object val)` Translate the given field value to its datastore equivalent.
`com.solarmetric.rd.kodo.impl.jdbc.meta.map.EmbeddedClassMapping` | `getEmbeddedMapping()` The embedded class mapping.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Column[]` | `getKeyColumns()` Return the key columns for this mapping, or empty array if none.
`java.lang.String` | `getMappingType()` Return the abbreviated name of this mapping, or the full class name if it is a custom mapping.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Column` | `getNullIndicatorColumn()` Return the column used as a null indicator for the embedded value.
`com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping` | `getTypeMapping()` Convenience method to make casting from `getTypeMetaData()` unnecessary.
`com.solarmetric.rd.kodo.meta.ClassMetaData` | `getTypeMetaData()` Return metadata for the field's type, if the type is persistent.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Table` | `getVRowTable()` Return the table this mapping uses for the columns that are part of the 'virtual row' that this object spans in the database.
`void` | `insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.sql.Connection conn)` Override this method to customize flushing this mapping.
`void` | `insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)` Set values for the mapping into the proper rows.
`java.lang.Boolean` | `isCustomDelete(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)` Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called.
`java.lang.Boolean` | `isCustomDeleteEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)` Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called.
`java.lang.Boolean` | `isCustomInsert(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)` Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called.
`java.lang.Boolean` | `isCustomNullEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)` Return `Boolean.FALSE` if this mapping does not customize the nulling process, `Boolean.TRUE` if it does, or null if it does customize the nulling, but also relies on the standard nulling method being called.
`java.lang.Boolean` | `isCustomUpdate(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)` Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called.
`boolean` | `isSynthetic()` Whether the null indicator column is managed by this mapping.
`void` | `join(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Join this value to the class table.
`void` | `joinKey(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Join the key value to the class table.
`void` | `joinKeyRelation(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Join this value's table to the table for the related first class object key type, if any.
`void` | `joinRelation(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Join this value's table to the table for the related first class object type, if any.
`void` | `load(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.sql.Connection conn)` Load secondary data.
`void` | `load(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, com.solarmetric.rd.kodo.impl.jdbc.runtime.Result res)` Load virtual row data; the given result is not guaranteed to contain data for this field, so the field mapping should make sure the result contains its needed column data before loading.
`boolean` | `map()` Map a new instance of this mapping type.
`void` | `nullEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.sql.Connection conn)` Override this method to customize nulling the given mapping (used with embedded values only).
`void` | `nullEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)` Null values for the mapping.
`void` | `refSchemaComponents()` Increment the reference count of all used schema components.
`void` | `select(com.solarmetric.rd.kodo.impl.jdbc.runtime.Select sel, boolean multiple)` Select the virtual row columns of this mapping.
`java.lang.Boolean` | `selectVRowData(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)` Return `Boolean.TRUE` if 'virtual row' data needs to be selected, `Boolean.FALSE` if it does not need to be, and `null` if it would be desirable to select it, but is not necessary.
`void` | `setEmbeddedMapping(com.solarmetric.rd.kodo.impl.jdbc.meta.map.EmbeddedClassMapping mapping)` The embedded class mapping.
`void` | `setNullIndicatorColumn(com.solarmetric.rd.kodo.impl.jdbc.schema.Column nullInd)` Set the column used as a null indicator for the embedded value.
`void` | `setSynthetic(boolean synthetic)` Whether the null indicator column is managed by this mapping.
`void` | `toMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfo info)` Serialize this mapping to a simple `MappingInfo` instance for transfer to XML or some other format.
`void` | `update(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store, java.sql.Connection conn)` Override this method to customize flushing this mapping.
`void` | `update(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)` Set values for the mapping into the proper rows.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.map.ReferenceMapping
`createRefForeignKey, fromMappingInfo, getRefForeignKey, getSelectJoins, getTable, join, setRefForeignKey, wherePrimaryKey`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.FieldMapping
`addExtension, addExtension, checkRepository, compareTo, getBooleanExtension, getBooleanExtension, getContainerMeta, getDeclaredElementType, getDeclaredIndex, getDeclaredKeyType, getDeclaredType, getDefaults, getDeleteAction, getDoubleExtension, getDoubleExtension, getElementDeleteAction, getElementIndexed, getElementPCClass, getElementSize, getElementType, getElementTypeCode, getElementTypeMapping, getElementTypeMetaData, getEmbeddedExtensions, getEmbeddedExtensions, getExtensionKeys, getExtensionKeys, getExtensionVendors, getFieldFlag, getFullName, getIndex, getIndexed, getIntExtension, getIntExtension, getInverseOwner, getInverseOwnerMapping, getInverseOwnerMetaData, getKeyDataStoreValue, getKeyDeleteAction, getKeyIndexed, getKeyPCClass, getKeySize, getKeyType, getKeyTypeCode, getKeyTypeMapping, getKeyTypeMetaData, getManagement, getMappingRepository, getMetaData, getName, getNullValue, getObjectExtension, getObjectExtension, getOrdered, getOwner, getOwnerMapping, getPCClass, getRefDeleteAction, getRefIndexed, getSize, getStringExtension, getStringExtension, getType, getTypeCode, getUseFieldMapping, getUseNullIndicator, hasExtension, hasExtension, invalidateResolve, isDeleteActionDeferred, isDependent, isEager, isElementDeleteActionDeferred, isElementDependent, isElementEager, isEmbedded, isEmbeddedElement, isEmbeddedKey, isEmpty, isExplicit, isInDefaultFetchGroup, isKeyDeleteActionDeferred, isKeyDependent, isKeyEager, isPrimaryKey, isRefDeleteActionDeferred, isValue, newInstance, newInstance, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension, resolve, setContainerMeta, setDeclaredIndex, setDeleteAction, setDependent, setElementDeleteAction, setElementDependent, setElementIndexed, setElementPCClass, setElementSize, setElementType, setEmbedded, setEmbeddedElement, setEmbeddedKey, setExplicit, setInDefaultFetchGroup, setIndex, setIndexed, setInverseOwner, setKeyDeleteAction, setKeyDependent, setKeyIndexed, setKeyPCClass, setKeySize, setKeyType, setManagement, setName, setNullValue, setOrdered, setOwner, setPCClass, setPrimaryKey, setRefDeleteAction, setRefIndexed, setSize, setType, setUseFieldMapping, setUseNullIndicator, toString`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.meta.Mapping
`checkIndex, createColumn, getDBDictionary, getForeignKey, getLog, getSchemaGroup, invalidMapping, reverseMap, setForeignKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.kodo.meta.Extensions
`addExtension, addExtension, getBooleanExtension, getBooleanExtension, getDoubleExtension, getDoubleExtension, getEmbeddedExtensions, getEmbeddedExtensions, getExtensionKeys, getExtensionKeys, getExtensionVendors, getIntExtension, getIntExtension, getObjectExtension, getObjectExtension, getStringExtension, getStringExtension, hasExtension, hasExtension, isEmpty, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Constructor Detail

### EmbeddedOneToOneMapping

    public EmbeddedOneToOneMapping(com.solarmetric.rd.kodo.meta.FieldMetaData meta)

  Constructor. Supply underlying metadata.

Method Detail

### getNullIndicatorColumn

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Column getNullIndicatorColumn()

  Return the column used as a null indicator for the embedded value.

### setNullIndicatorColumn

    public void setNullIndicatorColumn(com.solarmetric.rd.kodo.impl.jdbc.schema.Column nullInd)

  Set the column used as a null indicator for the embedded value.

### isSynthetic

    public boolean isSynthetic()

  Whether the null indicator column is managed by this mapping.

### setSynthetic

    public void setSynthetic(boolean synthetic)

  Whether the null indicator column is managed by this mapping.

### getEmbeddedMapping

    public com.solarmetric.rd.kodo.impl.jdbc.meta.map.EmbeddedClassMapping getEmbeddedMapping()

  The embedded class mapping.

### setEmbeddedMapping

    public void setEmbeddedMapping(com.solarmetric.rd.kodo.impl.jdbc.meta.map.EmbeddedClassMapping mapping)

  The embedded class mapping.

### getTypeMetaData

    public com.solarmetric.rd.kodo.meta.ClassMetaData getTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the field's type, if the type is persistent.

  Specified by:
    `getTypeMetaData` in interface `FieldMetaData`
  Overrides:
    `getTypeMetaData` in class `FieldMapping`

### getTypeMapping

    public com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping getTypeMapping()

  Description copied from class: `FieldMapping`
  Convenience method to make casting from `FieldMapping.getTypeMetaData()` unnecessary.

  Overrides:
    `getTypeMapping` in class `FieldMapping`

### getMappingType

    public java.lang.String getMappingType()

  Description copied from class: `Mapping`
  Return the abbreviated name of this mapping, or the full class name if it is a custom mapping. Returns the full class name by default.

  Overrides:
    `getMappingType` in class `Mapping`

### toMappingInfo

    public void toMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfo info)

  Description copied from class: `Mapping`
  Serialize this mapping to a simple `MappingInfo` instance for transfer to XML or some other format.

  Overrides:
    `toMappingInfo` in class `ReferenceMapping`

### fromMappingInfo

    public boolean fromMappingInfo(com.solarmetric.rd.kodo.impl.jdbc.meta.MappingInfo info,
                                   boolean adapt)

  Description copied from class: `Mapping`
  Deserialize this mapping from a simple `MappingInfo` instance parsed from XML or some other format. If the info is incompatible and `adapt` is true, try to adapt to the new info, else return false. This method must validate the given mapping information using the `SchemaGroup.findTable(java.lang.String)` method to find any needed tables, the `Table.getColumn(java.lang.String)` method to retrieve columns from those tables, and the `Column.isCompatible(int, int)` method to check all column types. This is important, as some schema groups use these methods to build themselves up dynamically rather than reading schema information from the database.

  Specified by:
    `fromMappingInfo` in class `Mapping`

### map

    public boolean map()

  Description copied from class: `Mapping`
  Map a new instance of this mapping type. If the underlying metadata cannot be mapped using this type, return false.

  Specified by:
    `map` in class `Mapping`

### refSchemaComponents

    public void refSchemaComponents()

  Description copied from class: `Mapping`
  Increment the reference count of all used schema components.

  Overrides:
    `refSchemaComponents` in class `ReferenceMapping`

### getColumns

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] getColumns()

  Description copied from class: `FieldMapping`
  Return the data columns for this mapping. This corresponds to the field-order foreign key columns in relations.

  Specified by:
    `getColumns` in class `FieldMapping`

### getKeyColumns

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] getKeyColumns()

  Description copied from class: `FieldMapping`
  Return the key columns for this mapping, or empty array if none.

  Specified by:
    `getKeyColumns` in class `FieldMapping`

### getVRowTable

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Table getVRowTable()

  Description copied from class: `FieldMapping`
  Return the table this mapping uses for the columns that are part of the 'virtual row' that this object spans in the database. The virtual row can include multiple tables if some fields are stored in joined tables. However, the virtual row includes only those other tables that are guaranteed to have exactly one row in them for the object's corresponding row in the primary table.

  Specified by:
    `getVRowTable` in class `FieldMapping`

### appendIsEmpty

    public void appendIsEmpty(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                              com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Description copied from class: `FieldMapping`
  Create a where clause to the given statement asking if this value is empty.

  Specified by:
    `appendIsEmpty` in class `FieldMapping`

### appendIsNull

    public void appendIsNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                             com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Description copied from class: `FieldMapping`
  Add a where clause to the given statement asking if this value is null.

  Specified by:
    `appendIsNull` in class `FieldMapping`

### appendIsNotNull

    public void appendIsNotNull(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                                com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Description copied from class: `FieldMapping`
  Add a where clause to the given statement asking if this value is not null.

  Specified by:
    `appendIsNotNull` in class `FieldMapping`

### join

    public void join(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Description copied from class: `FieldMapping`
  Join this value to the class table.

  Specified by:
    `join` in class `FieldMapping`

### joinKey

    public void joinKey(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Description copied from class: `FieldMapping`
  Join the key value to the class table.

  Specified by:
    `joinKey` in class `FieldMapping`

### joinRelation

    public void joinRelation(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Description copied from class: `FieldMapping`
  Join this value's table to the table for the related first class object type, if any.

  Specified by:
    `joinRelation` in class `FieldMapping`

### joinKeyRelation

    public void joinKeyRelation(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Description copied from class: `FieldMapping`
  Join this value's table to the table for the related first class object key type, if any.

  Specified by:
    `joinKeyRelation` in class `FieldMapping`

### getDataStoreValue

    public java.lang.Object getDataStoreValue(java.lang.Object val)

  Description copied from class: `FieldMapping`
  Translate the given field value to its datastore equivalent. If the mapping occupies multiple columns in the datastore, return an object array, else return a single object. Simply returns the given object by default.

  Overrides:
    `getDataStoreValue` in class `FieldMapping`

### select

    public void select(com.solarmetric.rd.kodo.impl.jdbc.runtime.Select sel,
                       boolean multiple)

  Description copied from class: `FieldMapping`
  Select the virtual row columns of this mapping.

  Specified by:
    `select` in class `FieldMapping`
  Parameters:
    `sel` - the select to add to
    `multiple` - whether this select is expected to match multiple objects

### selectVRowData

    public java.lang.Boolean selectVRowData(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)

  Description copied from class: `FieldMapping`
  Return `Boolean.TRUE` if 'virtual row' data needs to be selected, `Boolean.FALSE` if it does not need to be, and `null` if it would be desirable to select it, but is not necessary.

  Specified by:
    `selectVRowData` in class `FieldMapping`

### load

    public void load(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                     com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                     com.solarmetric.rd.kodo.impl.jdbc.runtime.Result res)
              throws java.sql.SQLException

  Description copied from class: `FieldMapping`
  Load virtual row data; the given result is not guaranteed to contain data for this field, so the field mapping should make sure the result contains its needed column data before loading.

  Specified by:
    `load` in class `FieldMapping`
    `java.sql.SQLException`

### load

    public void load(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                     com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                     java.sql.Connection conn)
              throws java.sql.SQLException

  Description copied from class: `FieldMapping`
  Load secondary data.

  Specified by:
    `load` in class `FieldMapping`
    `java.sql.SQLException`

### isCustomInsert

    public java.lang.Boolean isCustomInsert(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)

  Description copied from class: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the insert process, `Boolean.TRUE` if it does, or null if it does customize the insert, but also relies on the standard insert method being called. Implement the `Mapping.insert(StateManagerImpl,JDBCStoreManager,Connection)` method to implement the custom insertion behavior.

  Overrides:
    `isCustomInsert` in class `Mapping`

### insert

    public void insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)
                throws java.sql.SQLException

  Description copied from class: `Mapping`
  Set values for the mapping into the proper rows. For class mappings, this method will be called only after the corresponding method has been called for all fields of this mapping.

  Specified by:
    `insert` in class `Mapping`
    `java.sql.SQLException`

### insert

    public void insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                       java.sql.Connection conn)
                throws java.sql.SQLException

  Description copied from class: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method is called after the owning object is inserted, so if this field is in a row with other fields, that row will already exist.

  Overrides:
    `insert` in class `Mapping`
    `java.sql.SQLException`

### isCustomUpdate

    public java.lang.Boolean isCustomUpdate(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)

  Description copied from class: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the update process, `Boolean.TRUE` if it does, or null if it does customize the update, but also relies on the standard update method being called. Implement the `Mapping.update(StateManagerImpl,JDBCStoreManager,Connection)` method to override the default update behavior.

  Overrides:
    `isCustomUpdate` in class `Mapping`

### update

    public void update(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)
                throws java.sql.SQLException

  Description copied from class: `Mapping`
  Set values for the mapping into the proper rows.

  Specified by:
    `update` in class `Mapping`
    `java.sql.SQLException`
  See Also:
    `Mapping.insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager)`

### update

    public void update(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                       java.sql.Connection conn)
                throws java.sql.SQLException

  Description copied from class: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields.

  Overrides:
    `update` in class `Mapping`
    `java.sql.SQLException`

### isCustomDelete

    public java.lang.Boolean isCustomDelete(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)

  Description copied from class: `Mapping`
  Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called. Implement the `Mapping.delete(StateManagerImpl,JDBCStoreManager,Connection)` method to override the default deletion behavior.

  Overrides:
    `isCustomDelete` in class `Mapping`

### delete

    public void delete(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)
                throws java.sql.SQLException

  Description copied from class: `Mapping`
  Set the where values appropriately to delete the proper instance, and set all relations on non-secondary tables as updates. This allows foreign key analysis.

  Specified by:
    `delete` in class `Mapping`
    `java.sql.SQLException`
  See Also:
    `Mapping.insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager)`

### delete

    public void delete(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                       java.sql.Connection conn)
                throws java.sql.SQLException

  Description copied from class: `Mapping`
  Override this method to customize flushing this mapping. For classes, this method must also flush all fields. For fields, this method will be called after the owning object is deleted.

  Overrides:
    `delete` in class `Mapping`
    `java.sql.SQLException`

### isCustomNullEmbedded

    public java.lang.Boolean isCustomNullEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)

  Description copied from class: `FieldMapping`
  Return `Boolean.FALSE` if this mapping does not customize the nulling process, `Boolean.TRUE` if it does, or null if it does customize the nulling, but also relies on the standard nulling method being called. Implement the `FieldMapping.nullEmbedded(StateManagerImpl,JDBCStoreManager,Connection)` method to override the default update behavior.

  Overrides:
    `isCustomNullEmbedded` in class `FieldMapping`

### nullEmbedded

    public void nullEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                             com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)
                      throws java.sql.SQLException

  Description copied from class: `FieldMapping`
  Null values for the mapping. This method is used when embedded values are nulled or replaced. The given state manager will be the owner of the object whose fields are now being nulled.

  Overrides:
    `nullEmbedded` in class `FieldMapping`
    `java.sql.SQLException`
  See Also:
    `Mapping.insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager)`

### nullEmbedded

    public void nullEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                             com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                             java.sql.Connection conn)
                      throws java.sql.SQLException

  Description copied from class: `FieldMapping`
  Override this method to customize nulling the given mapping (used with embedded values only). The given state manager will represent the object that embeds the object being nulled.

  Overrides:
    `nullEmbedded` in class `FieldMapping`
    `java.sql.SQLException`

### isCustomDeleteEmbedded

    public java.lang.Boolean isCustomDeleteEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm)

  Description copied from class: `FieldMapping`
  Return `Boolean.FALSE` if this mapping does not customize the delete process, `Boolean.TRUE` if it does, or null if it does customize the delete, but also relies on the standard delete method being called. Implement the `FieldMapping.deleteEmbedded(StateManagerImpl,JDBCStoreManager,Connection)` method to override the default update behavior.

  Overrides:
    `isCustomDeleteEmbedded` in class `FieldMapping`

### deleteEmbedded

    public void deleteEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                               com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager rm)
                        throws java.sql.SQLException

  Description copied from class: `FieldMapping`
  Delete values for the mapping. This method is used when embedded values are deleted. The given state manager will be the owner of the object that is being deleted.

  Overrides:
    `deleteEmbedded` in class `FieldMapping`
    `java.sql.SQLException`
  See Also:
    `Mapping.insert(com.solarmetric.rd.kodo.runtime.StateManagerImpl, com.solarmetric.rd.kodo.impl.jdbc.runtime.RowManager)`

### deleteEmbedded

    public void deleteEmbedded(com.solarmetric.rd.kodo.runtime.StateManagerImpl sm,
                               com.solarmetric.rd.kodo.impl.jdbc.runtime.JDBCStoreManager store,
                               java.sql.Connection conn)
                        throws java.sql.SQLException

  Description copied from class: `FieldMapping`
  Override this method to customize deleting the given mapping (used with embedded values only). The given state manager will represent the object that embeds the object being deleted.

  Overrides:
    `deleteEmbedded` in class `FieldMapping`
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.